| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::Module Class Reference

General module (or library) management class, a base class for specific module classes. Provides some basic functionality such as keeping information about the module, managing module directories and basic files, etc. Global module object is not implemented (in contrary to global program object), but it should be implemented in speciffic module classes derived from this one. More...

Inheritance diagram for IG::Lib::Module:
[legend]
Collaboration diagram for IG::Lib::Module:
[legend]

List of all members.

## Public Member Functions
| Module (string moduleName, int version, int subVersion)
| Module (string moduleName, int version, int subVersion, string release)
| Module (string moduleName, int version, int subVersion, int subSubVersion, string release)
| Initializes the global data for the current module.
| Module (string moduleName, string codeName, int version, int subVersion, string release)
| Module (string moduleName, string codeName, int version, int subVersion, int subSubVersion, string release)
## Protected Member Functions
virtual void | InitModule (string moduleName, string codeName, int version, int subVersion, int subSubVersion, string release)
override void | BeforeInitialization ()
| Pre-initialization stage.

## Detailed Description

General module (or library) management class, a base class for specific module classes. Provides some basic functionality such as keeping information about the module, managing module directories and basic files, etc. Global module object is not implemented (in contrary to global program object), but it should be implemented in speciffic module classes derived from this one.

$A Igor Jul08;

## Constructor & Destructor Documentation

IG::Lib::Module::Module | ( | string | moduleName,
|  | int | version,
|  | int | subVersion
| ) |  | `[inline]`

Parameters:

  moduleName | Full name of the module.
  version | Version of the program.
  subVersion | Sub-version of the program.

IG::Lib::Module::Module | ( | string | moduleName,
|  | int | version,
|  | int | subVersion,
|  | string | release
| ) |  | `[inline]`

Parameters:

  moduleName | Full name of the module.
  version | Version of the program.
  subVersion | Sub-version of the program.
  release | Lifecycle stage of the program version (alpha, beta, release, etc.)

IG::Lib::Module::Module | ( | string | moduleName,
|  | int | version,
|  | int | subVersion,
|  | int | subSubVersion,
|  | string | release
| ) |  | `[inline]`

Initializes the global data for the current module.

Parameters:

  moduleName | Full name of the program.
  version | Version of the program.
  subVersion | Sub-version of the program.
  subsubVersion | Sub-subversion of the program. A negative number means that this messagelevel of versioning is not used.
  release | Lifecycle stage of the program version (alpha, beta, release, etc.)

IG::Lib::Module::Module | ( | string | moduleName,
|  | string | codeName,
|  | int | version,
|  | int | subVersion,
|  | string | release
| ) |  | `[inline]`

Parameters:

  moduleName | Full name of the module.
  codeName | Short program codename, appropriate for use in directory names. If not specified then it is automatically formed from the full name
  version | Version of the program.
  subVersion | Sub-version of the program.
  release | Lifecycle stage of the program version (alpha, beta, release, etc.)

IG::Lib::Module::Module | ( | string | moduleName,
|  | string | codeName,
|  | int | version,
|  | int | subVersion,
|  | int | subSubVersion,
|  | string | release
| ) |  | `[inline]`

Parameters:

  moduleName | Full name of the module.
  codeName | Short program codename, appropriate for use in directory names. If not specified then it is automatically formed from the full name.
  version | Version of the program.
  subVersion | Sub-version of the program.
  subsubVersion | Sub-subversion of the program. A negative number means that this messagelevel of versioning is not used.
  release | Lifecycle stage of the program version (alpha, beta, release, etc.)

## Member Function Documentation

virtual void IG::Lib::Module::InitModule | ( | string | moduleName,
|  | string | codeName,
|  | int | version,
|  | int | subVersion,
|  | int | subSubVersion,
|  | string | release
| ) |  | `[inline, protected, virtual]`

Parameters:

  moduleName | Full name of the module.
  codeName | Short program codename, appropriate for use in directory names. If not specified then it is automatically formed from the full name.
  version | Version of the program.
  subVersion | Sub-version of the program.
  subsubVersion | Sub-subversion of the program. A negative number means that this messagelevel of versioning is not used.
  release | Lifecycle stage of the program version (alpha, beta, release, etc.)

override void IG::Lib::Module::BeforeInitialization | ( |  | ) | `[inline, protected, virtual]`

Pre-initialization stage.

Reimplemented from IG::Lib::ModuleBase.

Reimplemented in IG::Lib::ModuleTest.

The documentation for this class was generated from the following file:

- App.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events